    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.adapters.XML4JDOMAdapter

    java.lang.Object
       |
       +----org.jdom.adapters.AbstractDOMAdapter
               |
               +----org.jdom.adapters.XML4JDOMAdapter

public class XML4JDOMAdapter
extends AbstractDOMAdapter

`XML4JDOMAdapter`

This class defines wrapper behavior for obtaining a DOM `Document` object from an IBM XML4J DOM parser.

Version:
  $Revision: 1.9 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Jason Hunter

##

XML4JDOMAdapter()

##

createDocument()

  This creates an empty `Document` object based on a specific parser implementation.

getDocument(InputStream, boolean)

  This creates a new `{`

##

XML4JDOMAdapter

     public XML4JDOMAdapter()

##

getDocument

     public Document getDocument(InputStream in,
                                 boolean validate) throws IOException

  This creates a new `{@link Document}` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    in - `InputStream` to parse.
    validate - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws: IOException
    when errors occur in parsing.
  Overrides:
    getDocument in class AbstractDOMAdapter

createDocument

     public Document createDocument() throws IOException

  This creates an empty `Document` object based on a specific parser implementation.

  Returns:
    `Document` - created DOM Document.
  Throws: IOException
    when errors occur.
  Overrides:
    createDocument in class AbstractDOMAdapter

    All Packages  Class Hierarchy  This Package  Previous  Next  Index